.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the GDNativeLibrary.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_GDNativeLibrary:

GDNativeLibrary
===============

**Inherits:** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------------------------------+---------------------------------------------------------------------------------------------------+
| :ref:`ConfigFile<class_configfile>`            | :ref:`get_config_file<class_GDNativeLibrary_get_config_file>` **(** **)**                         |
+------------------------------------------------+---------------------------------------------------------------------------------------------------+
| :ref:`PoolStringArray<class_poolstringarray>`  | :ref:`get_current_dependencies<class_GDNativeLibrary_get_current_dependencies>` **(** **)** const |
+------------------------------------------------+---------------------------------------------------------------------------------------------------+
| :ref:`String<class_string>`                    | :ref:`get_current_library_path<class_GDNativeLibrary_get_current_library_path>` **(** **)** const |
+------------------------------------------------+---------------------------------------------------------------------------------------------------+

Member Variables
----------------

  .. _class_GDNativeLibrary_load_once:

- :ref:`bool<class_bool>` **load_once**

  .. _class_GDNativeLibrary_reloadable:

- :ref:`bool<class_bool>` **reloadable**

  .. _class_GDNativeLibrary_singleton:

- :ref:`bool<class_bool>` **singleton**

  .. _class_GDNativeLibrary_symbol_prefix:

- :ref:`String<class_string>` **symbol_prefix**


Member Function Description
---------------------------

.. _class_GDNativeLibrary_get_config_file:

- :ref:`ConfigFile<class_configfile>` **get_config_file** **(** **)**

.. _class_GDNativeLibrary_get_current_dependencies:

- :ref:`PoolStringArray<class_poolstringarray>` **get_current_dependencies** **(** **)** const

.. _class_GDNativeLibrary_get_current_library_path:

- :ref:`String<class_string>` **get_current_library_path** **(** **)** const


